IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'doc_subtipoDocumento' AND COLUMN_NAME = 'archivosAdjuntosApp')
BEGIN
	ALTER TABLE dbo.doc_subtipoDocumento 
	ADD archivosAdjuntosApp INT NOT NULL DEFAULT 0

	exec('
	UPDATE dbo.doc_subtipoDocumento 
	SET archivosAdjuntosApp = 1
	WHERE id_tipoDocumento in (select id from doc_tipoDocumento where id = 2)
	')

END

IF NOT EXISTS (SELECT 1 FROM [_columnas] WHERE [tabla] = 'doc_subtipoDocumento' AND [columna] = 'archivosAdjuntosApp')
BEGIN  
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI]
			   ,[dependiente])
		 VALUES
			   ('doc_subtipoDocumento'
			   ,'archivosAdjuntosApp'
			   ,1
			   ,1
			   ,1
			   ,'INT'
			   ,'1'
			   ,NULL
			   ,0
			   ,0
			   ,NULL)
END

GO
UPDATE dbo.doc_subtipoDocumento 
SET archivosAdjuntosApp = 0 
WHERE id_tipoDocumento in (select id from doc_tipoDocumento where id <> 2)
